Skip to content
GitHub

Verify a claim through its TXT record or a DNS provider account.

POST
/api/v1/domains/{id}/verify
curl --request POST \
--url https://example.com/api/v1/domains/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/verify \
--header 'Content-Type: application/json' \
--data '{ "provider": "example" }'
id
required
string format: uuid

Claim id

Media typeapplication/json
object
provider

Prove the claim with this DNS provider account instead of a TXT record.

string | null
Examplegenerated
{
"provider": "example"
}

The claim; lastError says why it is still pending

Media typeapplication/json
object
id
required
string format: uuid
domain
required
string
status
required

pending, verified or revoked.

string
challengeName
required

The TXT record that proves the claim, and its value.

string
challengeValue
required
string
method

txt or the provider kind that proved it.

string | null
createdBy
required
string
createdAt
required
string
verifiedAt
string | null
lastCheckedAt
string | null
lastError
string | null
Examplegenerated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"domain": "example",
"status": "example",
"challengeName": "example",
"challengeValue": "example",
"method": "example",
"createdBy": "example",
"createdAt": "example",
"verifiedAt": "example",
"lastCheckedAt": "example",
"lastError": "example"
}
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}

Another organization verified an overlapping domain

Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}